<?php
/**
 * Footer Options
 *
 * @package Mindful Blog
 */

$wp_customize->add_section(
	'mindful_blog_footer_options',
	array(
		'panel' => 'mindful_blog_theme_options',
		'title' => esc_html__( 'Footer Options', 'mindful-blog' ),
	)
);

// Footer Options - Copyright Text.
/* translators: 1: Year, 2: Site Title with home URL. */
$mindful_blog_copyright_default = sprintf( esc_html_x( 'Copyright &copy; %1$s %2$s', '1: Year, 2: Site Title with home URL', 'mindful-blog' ), '[the-year]', '[site-link]' );
$wp_customize->add_setting(
	'mindful_blog_footer_copyright_text',
	array(
		'default'           => $mindful_blog_copyright_default,
		'sanitize_callback' => 'wp_kses_post',
		'transport'         => 'refresh',
	)
);

$wp_customize->add_control(
	'mindful_blog_footer_copyright_text',
	array(
		'label'    => esc_html__( 'Copyright Text', 'mindful-blog' ),
		'section'  => 'mindful_blog_footer_options',
		'settings' => 'mindful_blog_footer_copyright_text',
		'type'     => 'textarea',
	)
);

// Footer Options - Scroll Top Text Label.
$wp_customize->add_setting(
	'mindful_blog_scroll_top_text_label',
	array(
		'default'           => __( 'Back to Top', 'mindful-blog' ),
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'mindful_blog_scroll_top_text_label',
	array(
		'label'    => esc_html__( 'Scroll Top Text Label', 'mindful-blog' ),
		'section'  => 'mindful_blog_footer_options',
		'settings' => 'mindful_blog_scroll_top_text_label',
		'type'     => 'text',
	)
);
